WSDiscovery10::Types::EndpointReferenceType(3)

NAME
WSDiscovery10::Types::EndpointReferenceType

DESCRIPTION
Perl data type class for the XML Schema defined complexType EndpointReferenceType from the namespace http://schemas.xmlsoap.org/ws/2004/08/addressing.

If "Policy" elements from namespace "http://schemas.xmlsoap.org/ws/2002/12/policy#policy" are used, they must appear first (before any extensibility elements).

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Address

•   ReferenceProperties

•   ReferenceParameters

•   PortType

•   ServiceName

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # WSDiscovery10::Types::EndpointReferenceType
   Address =>  { value => $some_value },
   ReferenceProperties =>  { # WSDiscovery10::Types::ReferencePropertiesType
   },
   ReferenceParameters =>  { # WSDiscovery10::Types::ReferenceParametersType
   },
   PortType =>  { value => $some_value },
   ServiceName =>  { value => $some_value },
 },

AUTHOR
Generated by SOAP::WSDL